package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2019/10/1
 */
public class VipGroupCostCountParamsDto {

    @ApiModelProperty("课程类型编号")
    private Integer vipGroupCategoryId;

    @ApiModelProperty("默认课程单价编号")
    private Long vipGroupDefaultClassesUnitPriceId;

    @ApiModelProperty("活动方案编号")
    private Long vipGroupActivityId;

    @ApiModelProperty(value = "线上课课时数", required = false)
    private BigDecimal vipOnlineClassesNum = BigDecimal.ZERO;

    @ApiModelProperty(value = "线下课课时数", required = false)
    private BigDecimal vipOfflineClassesNum = BigDecimal.ZERO;

    @ApiModelProperty(value = "赠送线上课课时数", required = false)
    private BigDecimal giveVipOnlineClassesNum = BigDecimal.ZERO;

    @ApiModelProperty(value = "赠送线下课课时数", required = false)
    private BigDecimal giveVipOfflineClassesNum = BigDecimal.ZERO;

    @ApiModelProperty(value = "网管课课时数", required = false)
    private BigDecimal practiceClassesNum = BigDecimal.ZERO;

    @ApiModelProperty(value = "赠送网管课课时数", required = false)
    private BigDecimal givePracticeClassesNum = BigDecimal.ZERO;

    public Integer getVipGroupCategoryId() {
        return vipGroupCategoryId;
    }

    public void setVipGroupCategoryId(Integer vipGroupCategoryId) {
        this.vipGroupCategoryId = vipGroupCategoryId;
    }

    public Long getVipGroupDefaultClassesUnitPriceId() {
        return vipGroupDefaultClassesUnitPriceId;
    }

    public void setVipGroupDefaultClassesUnitPriceId(Long vipGroupDefaultClassesUnitPriceId) {
        this.vipGroupDefaultClassesUnitPriceId = vipGroupDefaultClassesUnitPriceId;
    }

    public Long getVipGroupActivityId() {
        return vipGroupActivityId;
    }

    public void setVipGroupActivityId(Long vipGroupActivityId) {
        this.vipGroupActivityId = vipGroupActivityId;
    }

    public BigDecimal getVipOnlineClassesNum() {
        return vipOnlineClassesNum;
    }

    public void setVipOnlineClassesNum(BigDecimal vipOnlineClassesNum) {
        this.vipOnlineClassesNum = vipOnlineClassesNum;
    }

    public BigDecimal getVipOfflineClassesNum() {
        return vipOfflineClassesNum;
    }

    public void setVipOfflineClassesNum(BigDecimal vipOfflineClassesNum) {
        this.vipOfflineClassesNum = vipOfflineClassesNum;
    }

    public BigDecimal getGiveVipOnlineClassesNum() {
        return giveVipOnlineClassesNum;
    }

    public void setGiveVipOnlineClassesNum(BigDecimal giveVipOnlineClassesNum) {
        this.giveVipOnlineClassesNum = giveVipOnlineClassesNum;
    }

    public BigDecimal getGiveVipOfflineClassesNum() {
        return giveVipOfflineClassesNum;
    }

    public void setGiveVipOfflineClassesNum(BigDecimal giveVipOfflineClassesNum) {
        this.giveVipOfflineClassesNum = giveVipOfflineClassesNum;
    }

    public BigDecimal getPracticeClassesNum() {
        return practiceClassesNum;
    }

    public void setPracticeClassesNum(BigDecimal practiceClassesNum) {
        this.practiceClassesNum = practiceClassesNum;
    }

    public BigDecimal getGivePracticeClassesNum() {
        return givePracticeClassesNum;
    }

    public void setGivePracticeClassesNum(BigDecimal givePracticeClassesNum) {
        this.givePracticeClassesNum = givePracticeClassesNum;
    }
}

